import request from '@/utils/request'

// 查询应急救援队人员信息列表
export function listEhsRescueTeamWorker(query) {
  return request({
    url: '/ehs/ehsRescueTeamWorker/list',
    method: 'get',
    params: query
  })
}

// 查询应急救援队人员信息详细
export function getEhsRescueTeamWorker(id) {
  return request({
    url: '/ehs/ehsRescueTeamWorker/' + id,
    method: 'get'
  })
}

// 新增会话框查询队伍信息
export function getTeamInfo(rescueTeamId) {
  return request({
      url: '/ehs/ehsRescueTeamWorker/getTeamInfo/' + rescueTeamId,
    method: 'get'
  })
}

// 新增应急救援队人员信息
export function addEhsRescueTeamWorker(data) {
  return request({
    url: '/ehs/ehsRescueTeamWorker',
    method: 'post',
    data: data
  })
}

// 修改应急救援队人员信息
export function updateEhsRescueTeamWorker(data) {
  return request({
    url: '/ehs/ehsRescueTeamWorker',
    method: 'put',
    data: data
  })
}

// 删除应急救援队人员信息
export function delEhsRescueTeamWorker(id) {
  return request({
    url: '/ehs/ehsRescueTeamWorker/' + id,
    method: 'delete'
  })
}
